import { browser, by, element } from "protractor";
import { AppPage } from "./app.po";
import { Navbar } from "./navbar.po";
import { ListPage } from "./list.po";
import { SideNav } from "./sidenav.po";

describe("check calculator notes", () => {
    let startPage: AppPage;
    let navBar: Navbar;
    let listPage: ListPage;
    let sidenav: SideNav;

    beforeEach(() => {
        startPage = new AppPage();
        navBar = new Navbar();
        listPage = new ListPage();
        sidenav = new SideNav();
    });

    it(" - notes should display properly when opened from a calculator", async () => {
        await startPage.navigateTo();
        await browser.sleep(200);

        // open PAB: chute calculator
        await listPage.clickMenuEntryForCalcType(12);
        await browser.sleep(200);

        // open notes
        await navBar.clickMenuButton();
        await browser.sleep(200);
        await sidenav.clickNotesButton();
        await browser.sleep(200);

        // input some text
        const ta = element(by.css("textarea"));
        await ta.clear();
        await ta.sendKeys("azerty123");
        await browser.sleep(200);

        // reopen calculator
        await navBar.openNthCalculator(0);
        await browser.sleep(200);

        // reopen notes
        await navBar.clickMenuButton();
        await browser.sleep(200);
        await sidenav.clickNotesButton();
        await browser.sleep(200);

        // check text
        const md = element(by.css("markdown p"));
        await browser.sleep(200);
        expect(await md.getText()).toEqual("azerty123");
    });

    it(" - notes should display properly when opened from modules diagram", async () => {
        await startPage.navigateTo();
        await browser.sleep(200);

        // open PAB: chute calculator
        await listPage.clickMenuEntryForCalcType(12);
        await browser.sleep(200);

        // open notes
        await navBar.clickMenuButton();
        await browser.sleep(200);
        await sidenav.clickNotesButton();
        await browser.sleep(200);

        // input some text
        const ta = element(by.css("textarea"));
        await ta.clear();
        await ta.sendKeys("azerty123");
        await browser.sleep(200);

        // open modules diagram
        await navBar.clickMenuButton();
        await browser.sleep(200);
        await sidenav.clickDiagramButton();
        await browser.sleep(200);

        // open notes
        const notesLink = element(by.css("#show-notes a"));
        notesLink.click();
        await browser.sleep(200);

        // check text
        const md = element(by.css("markdown p"));
        await browser.sleep(200);
        expect(await md.getText()).toEqual("azerty123");
    });
});
