import { browser, by, element } from "protractor";
import * as path from "path";

export class SideNav {

    getLoadSessionButton() {
        return element(by.css("#side-nav-load-session"));
    }

    getNewSessionButton() {
        return element(by.css("#side-nav-empty-session"));
    }

    getDiagramButton() {
        return element(by.css("#side-nav-diagram"));
    }

    getSetupButton() {
        return element(by.css("#side-nav-setup"));
    }

    getFileInput() {
        return element(by.css(`dialog-load-session input[type="file"]`));
    }

    getFileLoadButton() {
        return element(by.css(`dialog-load-session button[type="submit"]`));
    }

    getConfirmNewSessionButton() {
        return element(by.css(`button#confirm-new-session`));
    }

    getNotesButton() {
        return element(by.css("#side-nav-session-props"));
    }

    async clickLoadSessionButton() {
        const ncb = this.getLoadSessionButton();
        await browser.sleep(500);
        await ncb.click();
    }

    async clickDiagramButton() {
        const ncb = this.getDiagramButton();
        await browser.sleep(500);
        await ncb.click();
    }

    async clickNewSessionButton() {
        const ncb = this.getNewSessionButton();
        await browser.sleep(200);
        await ncb.click();
        await browser.sleep(200);
        await this.getConfirmNewSessionButton().click();
    }

    async loadSessionFile(file: string, click: boolean = true) {
        const absolutePath = path.resolve(__dirname, file);
        const input = this.getFileInput();
        await input.sendKeys(absolutePath);
        await browser.sleep(500);
        if (click) {
            await this.getFileLoadButton().click();
        }
    }

    async clickNotesButton() {
        const nb = this.getNotesButton();
        await browser.sleep(200);
        await nb.click();
    }
}
